#ifndef _player_h
#define _player_h

typedef struct _player
{
  int number;
  int playing;
  int cash;
  int powered;
  int power;
  int controller;
  BITMAP *picture;
  _unit unit[50];
  int create_unit(int type, int x, int y, int player);
  int units_in_play();
  void clear_units();
  void ready_units();
  void sort_units();
  void mergesort_units(int min, int max);
} _player;

typedef struct _character
{
  string name;
  string description;
  int strength;
  int weakness;
  int power;
  string powername;
  BITMAP *picture;
  void create(string n, string d, int s, int w, int p, string pn, BITMAP *pic);
  void destroy();
} _character;

#endif
